<!doctype html>
<html lang="en" xmlns:th="http://www.thymeleaf.org">
<head>
    <base th:href="${#request.getContextPath() + '/'} ">
    <meta charset="utf-8">
    <meta name="renderer" content="webkit">
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
    <meta name="viewport" content="width=device-width, initial-scale=1.0, minimum-scale=1.0, maximum-scale=1.0, user-scalable=0">
    <link rel="stylesheet" href="assets/fonts/font-awesome/css/font-awesome.css"/>
    <link rel="stylesheet" href="assets/layuiadmin/layui/css/layui.css" media="all">
    <link rel="stylesheet" href="assets/layuiadmin/style/admin.css" media="all">
    <link rel="stylesheet" type="text/css" href="assets/js/vendor/viewer/viewer.min.css">
</head>
<body>
<div class="layui-fluid layui-anim layui-anim-fadein">
    <div class="layui-card">
        <!-- <div class="layui-card-header">
             <span class="layui-breadcrumb" lay-filter="breadcrumb" style="visibility: visible;">
               <a class="close" href="javascript:void(0);">上级列表</a><span lay-separator="">/</span>
               <a href="javascript:void(0);"><cite>新增内容</cite></a>
             </span>
         </div>-->
        <div class="layui-card-body" style="padding: 15px;">
            <form class="layui-form layui-form-pane" lay-filter="dataForm">
                <input type="hidden" id="bigdataTemplateId" name="bigdataTemplateId" class="layui-input" value="">
                <div class="layui-form-item">
                    <label class="layui-form-label">模块选择<span style="color: red">*</span></label>
                    <div class="layui-input-block">
                        <input type="hidden" id="bigdataModuleId" name="bigdataModuleId" class="layui-input" value="">
                        <input type="hidden" id="bigdataModuleCode" name="bigdataModuleCode" class="layui-input" value="">
                        <input type="hidden" id="bigdataModuleModuleJson" name="bigdataModuleModuleJson" class="layui-input" value="">
                        <input type="hidden" id="bigdataModuleServerJson" name="bigdataModuleServerJson" class="layui-input" value="">
                        <input type="hidden" id="bigdataModuleLink" name="bigdataModuleLink" class="layui-input" value="">
                        <input type="text" id="bigdataModuleName"  readonly name="bigdataModuleName" lay-verify="require" placeholder="请选择模块" class="layui-input" style="cursor:pointer;">
                    </div>
                </div>

                <div class="layui-form-item" pane>
                    <label class="layui-form-label">区域颜色<span style="color: red">*</span></label>
                    <div class="layui-input-block" >
                        <input type="radio" name="templateAreaColor" value="orange" title="橙色" />
                        <input type="radio" name="templateAreaColor" value="red" title="红色" />
                        <input type="radio" name="templateAreaColor" value="blue" title="蓝色" />
                        <input type="radio" name="templateAreaColor" value="green" title="绿色" />
                        <input type="radio" name="templateAreaColor" value="purple" title="紫色" />
                        <input type="radio" name="templateAreaColor" value="yellow" title="黄色" />
                    </div>
                </div>

                <div class="layui-form-item" pane>
                    <label class="layui-form-label">跳转详情<span style="color: red">*</span></label>
                    <div class="layui-input-block" >
                        <input type="radio" name="templateAreaJump" value="0" title="不开启跳转" lay-filter="templateAreaJumpFilter">
                        <input type="radio" name="templateAreaJump" value="1" title="区域单击跳转" lay-filter="templateAreaJumpFilter">
                        <input type="radio" name="templateAreaJump" value="2" title="区域双击跳转" lay-filter="templateAreaJumpFilter">
                    </div>
                </div>
                <div id="showDataDiv"></div>
                <script id="showDataScript" type="text/html">
                    {{# if(d != '0') { }}
                    <div class="layui-form-item" pane>
                        <label class="layui-form-label">跳转方式<span style="color: red">*</span></label>
                        <div class="layui-input-block" >
                            <input type="radio" name="templateAreaJumpMode" value="1" title="小窗口弹窗【关联模板】" lay-filter="templateAreaJumpModeFilter">
                            <input type="radio" name="templateAreaJumpMode" value="2" title="全窗口跳转【关联模板】" lay-filter="templateAreaJumpModeFilter">
                            <input type="radio" name="templateAreaJumpMode" value="3" title="打开新页面【关联模板】" lay-filter="templateAreaJumpModeFilter">
                            </br>
                            <input type="radio" name="templateAreaJumpMode" value="4" title="小窗口弹窗【页面链接】" lay-filter="templateAreaJumpModeFilter">
                            <input type="radio" name="templateAreaJumpMode" value="5" title="全窗口跳转【页面链接】" lay-filter="templateAreaJumpModeFilter">
                            <input type="radio" name="templateAreaJumpMode" value="6" title="打开新页面【页面链接】" lay-filter="templateAreaJumpModeFilter">
                        </div>
                    </div>

                    {{# } }}
                </script>
                <div id="templateAreaJumpModeDiv"></div>
                <script id="templateAreaJumpModeScript" type="text/html">
                    {{# if(d == '1' || d == '2' || d == '3') { }}
                    <div class="layui-form-item">
                        <label class="layui-form-label">跳转模板<span style="color: red">*</span></label>
                        <div class="layui-input-block">
                            <input type="hidden" id="templateAreaJumpTemplateId" name="templateAreaJumpTemplateId" class="layui-input" value="">
                            <input type="text" id="templateAreaJumpTemplateTitle"  readonly name="templateAreaJumpTemplateTitle" lay-verify="require" placeholder="请选择跳转模板" class="layui-input" style="cursor:pointer;">
                        </div>
                    </div>
                    {{# } else if(d == '4' || d == '5' || d == '6') { }}
                    <div class="layui-form-item">
                        <label class="layui-form-label">跳转链接<span style="color: red">*</span></label>
                        <div class="layui-input-block">
                            <input type="text" id="templateAreaJumpUrl" name="templateAreaJumpUrl" class="layui-input" value="" placeholder="请输入跳转链接" >
                        </div>
                    </div>
                    {{# } }}
                </script>
                <div class="layui-form-item layui-row"  pane="">
                    <div class="layui-col-lg12">
                        <label class="layui-form-label">模块数据<span style="color: red">*</span></label>
                        <div class="layui-input-block">
                            <button type="button" class="layui-btn" id="templateAreaModule">点击编辑模块数据</button>
                            <input type="hidden" name="templateAreaModuleData" id="templateAreaModuleData"/>
                        </div>
                    </div>
                </div>
                <div class="layui-form-item" pane>
                    <label class="layui-form-label">数据来源<span style="color: red">*</span></label>
                    <div class="layui-input-block" >
                        <input type="radio" name="templateAreaSource" value="1" title="接口数据" lay-filter="templateAreaSourceFilter">
                        <input type="radio" name="templateAreaSource" value="2" title="自定义数据" lay-filter="templateAreaSourceFilter">
                        <input type="radio" name="templateAreaSource" value="3" title="数据库数据" lay-filter="templateAreaSourceFilter">
                    </div>
                </div>
                <div id="templateAreaSourceDiv"></div>
                <script id="templateAreaSourceScript" type="text/html">
                    {{# if(d == '1') { }}
                    <div class="layui-form-item">
                        <label class="layui-form-label">接口地址<span style="color: red">*</span></label>
                        <div class="layui-input-block">
                            <input type="text" id="templateAreaServerData" name="templateAreaServerData" class="layui-input" value="" placeholder="请输入接口地址" >
                        </div>
                    </div>
                    <div class="layui-form-item" pane>
                        <label class="layui-form-label">联动授权<span style="color: red">*</span></label>
                        <div class="layui-input-block" >
                            <input type="checkbox" class="templateAreaServerLink" name="templateAreaServerLink[mapLink]" value="1" title="允许地图联动刷新" lay-filter="templateAreaServerLinkFilter">
                            <input type="checkbox" class="templateAreaServerLink" name="templateAreaServerLink[dateLink]" value="2" title="允许时间选择联动刷新" lay-filter="templateAreaServerLinkFilter">
                            <input type="checkbox" class="templateAreaServerLink" name="templateAreaServerLink[selectLink]" value="3" title="允许选项联动刷新" lay-filter="templateAreaServerLinkFilter">
                            <input type="checkbox" class="templateAreaServerLink" name="templateAreaServerLink[urlLink]" value="4" title="允许路径参数联动刷新" lay-filter="templateAreaServerLinkFilter">
                        </div>
                    </div>
                    {{# } }}
                    {{# if(d == '2') { }}
                    <div class="layui-form-item layui-row"  pane="">
                        <div class="layui-col-lg12">
                            <label class="layui-form-label">自定义数据<span style="color: red">*</span></label>
                            <div class="layui-input-block">
                                <button type="button" class="layui-btn" id="templateAreaServer" >点击编辑自定义数据</button>
                                <input type="hidden" name="templateAreaServerData" id="templateAreaServerData"/>
                            </div>
                        </div>
                    </div>
                    <div class="layui-form-item" pane>
                        <label class="layui-form-label">联动授权<span style="color: red">*</span></label>
                        <div class="layui-input-block" >
                            <input type="checkbox" class="templateAreaServerLink" name="templateAreaServerLink[mapLink]" value="1" title="允许地图联动刷新" lay-filter="templateAreaServerLinkFilter">
                            <input type="checkbox" class="templateAreaServerLink" name="templateAreaServerLink[dateLink]" value="2" title="允许时间选择联动刷新" lay-filter="templateAreaServerLinkFilter">
                            <input type="checkbox" class="templateAreaServerLink" name="templateAreaServerLink[selectLink]" value="3" title="允许选项联动刷新" lay-filter="templateAreaServerLinkFilter">
                            <input type="checkbox" class="templateAreaServerLink" name="templateAreaServerLink[urlLink]" value="4" title="允许路径参数联动刷新" lay-filter="templateAreaServerLinkFilter">
                        </div>
                    </div>
                    {{# } }}
                    {{# if(d == '3') { }}
                    <div class="layui-form-item layui-form-text">
                        <label class="layui-form-label">执行SQL<span style="color: red">*</span><button style="margin-left: 20px;" id="querySQL" type="button" class="layui-btn layui-btn-xs" >校验SQL合法性</button></label>
                        <div class="layui-input-block">
                            <textarea id="templateAreaServerData" name="templateAreaServerData" value="" placeholder="请输入执行SQL" class="layui-textarea" rows="2" style="height: auto; line-height: 39px">SELECT * FROM </textarea>
                        </div>
                    </div>
                    {{# } }}
                </script>

                <div class="layui-form-item" pane>
                    <label class="layui-form-label">刷新频率<span style="color: red">*</span></label>
                    <div class="layui-input-block">
                        <div style="padding-left:10px; padding-top: 20px;" id="templateAreaFrequencyDiv"></div>
                        <input type="hidden" id="templateAreaFrequency" name="templateAreaFrequency" value="0" class="layui-input" />
                    </div>
                </div>
                <div class="layui-form-item layui-form-text">
                    <label class="layui-form-label">区域插件(json文件、css文件、js文件)</label>
                    <div class="layui-input-block">
                        <input type="hidden" id="templateAreaFile" name="templateAreaFile">
                        <div class="layui-btn-container" id="templateAreaFileFileBox" style="border: 1px solid #e6e6e6;"></div>
                        <script id="templateAreaFileFileDownload" type="text/html">
                            {{# var fileName = 'templateAreaFile'; }}
                            {{# if(d[fileName] != '') { }}
                            {{#    var files = d[fileName];}}
                            {{#    for(var i = 0, item = files[i]; item = files[i++];) { }}
                            <span class="layui-btn-group">
                                <div class="upload-file-box">
                                    <a class="upload-file-a" href="route/file/download/false/{{item.fileId}}" title="{{item.fileName}} - 点击下载">
                                        {{# if(item.fileType == 'doc' || item.fileType == 'docx') { }}
                                        <img src="assets/images/filetype/word.png"/>
                                        {{# } else if(item.fileType == 'xls' || item.fileType == 'xlsx') { }}
                                        <img src="assets/images/filetype/excel.png"/>
                                        {{# } else if(item.fileType == 'ppt' || item.fileType == 'pptx') { }}
                                        <img src="assets/images/filetype/ppt.png"/>
                                        {{# } else if(item.fileType == 'apk') { }}
                                        <img src="assets/images/filetype/apk.png"/>
                                        {{# } else if(item.fileType == 'pdf') { }}
                                        <img src="assets/images/filetype/pdf.png"/>
                                        {{# } else if(item.fileType == 'rar') { }}
                                        <img src="assets/images/filetype/rar.png"/>
                                        {{# } else if(item.fileType == 'zip') { }}
                                        <img src="assets/images/filetype/zip.png"/>
                                        {{# } else if(item.fileType == 'txt') { }}
                                        <img src="assets/images/filetype/txt.png"/>
                                        {{# } else { }}
                                        <img src="assets/images/filetype/file.png"/>
                                        {{# } }}
                                    </a>
                                    <span class="upload-file-title">{{item.fileName}}</span>
                                    <a class="layui-btn layui-btn-xs layui-btn-danger text-danger remove-file" href="javascript:void(0);" lay-form-button data-id="{{item.fileId}}" data-name="{{fileName}}" lay-filter="templateAreaFileRemoveFile">
                                        <i class="fa fa-trash-o"></i>
                                    </a>
                                </div>
                            </span>
                            {{#    } }}
                            {{# } }}
                            {{# if(d[fileName].length < 5) { }}
                            <div class="upload-image-box" style="width: auto; height: auto; padding: 5px;">
                                <a href="javascript:void(0);" lay-form-button data-explain="区域插件文件" data-name="templateAreaFile" lay-filter="templateAreaFileUploadFile">
                                    <i class="fa fa-plus-square-o" style="font-size: 70px;"></i>
                                </a>
                            </div>
                            {{# } }}
                        </script>
                    </div>
                </div>
                <div class="layui-form-item">
                    <label class="layui-form-label">备注内容</label>
                    <div class="layui-input-block">
                        <input type="text" id="templateAreaRemark" name="templateAreaRemark" class="layui-input" value="" placeholder="请输入备注内容" >
                    </div>
                </div>
                <div class="layui-form-item layui-layout-admin">
                    <div class="layui-input-block">
                        <div class="layui-footer" style="left: 0;">
                            <button type="button" class="layui-btn" lay-submit lay-filter="submitForm">提交修改</button>
                            <button type="button" class="layui-btn layui-btn-primary close">返回上级</button>
                        </div>
                    </div>
                </div>
            </form>
        </div>
    </div>
</div>
<script src="assets/js/vendor/wangEditor/wangEditor.min.js"></script>
<script src="assets/js/vendor/ckplayer/ckplayer/ckplayer.js"></script>
<script src="assets/js/vendor/viewer/viewer.min.js"></script>
<script src="assets/layuiadmin/layui/layui.js"></script>

<script src="assets/template/aes/rollups/aes.js"></script>
<script src="assets/template/aes/components/cipher-core.js"></script>
<!--<script src="assets/template/aes/components/core.js"></script>-->
<script src="assets/template/aes/components/mode-ecb.js"></script>

<script>

    function Encrypt(word){
        var key = CryptoJS.enc.Utf8.parse("abcdefgabcdefg12");
        var srcs = CryptoJS.enc.Utf8.parse(word);
        var encrypted = CryptoJS.AES.encrypt(srcs, key, {mode:CryptoJS.mode.ECB,padding: CryptoJS.pad.Pkcs7});
        return encrypted.toString();
    }

    layui.config({
        base: 'assets/layuiadmin/' //静态资源所在路径
    }).extend({
        index: 'lib/index' //主入口模块
    }).use(['index', 'form', 'slider','laydate', 'laytpl'], function(){
        var $ = layui.$;
        var form = layui.form;
        var laytpl = layui.laytpl;
        var laydate = layui.laydate;
        var wangEditor = window.wangEditor;
        var slider = layui.slider;
        var wangEditorObj = {};
        var viewerObj = {};
        var bigdataTemplateAreaId = top.restAjax.params(window.location.href).bigdataTemplateAreaId;
        function closeBox() {
            parent.layer.close(parent.layer.getFrameIndex(window.name));
        }

        function refreshDownloadTemplet(fileName, file) {
            var dataRander = {};
            dataRander[fileName] = file;

            laytpl(document.getElementById(fileName +'FileDownload').innerHTML).render(dataRander, function(html) {
                document.getElementById(fileName +'FileBox').innerHTML = html;
            });
        }

        form.on('radio(templateAreaJumpFilter)', function (data) {
            laytpl(document.getElementById('showDataScript').innerHTML).render(data.value + "", function(html) {
                document.getElementById('showDataDiv').innerHTML = html;
                form.render(null, 'dataForm');
            });
            // 隐藏掉跳转模板输入框
            if(data.value == '0') {
                laytpl(document.getElementById('templateAreaJumpModeScript').innerHTML).render(data.value + "", function(html) {
                    document.getElementById('templateAreaJumpModeDiv').innerHTML = html;
                    form.render(null, 'dataForm');
                });
            }
        });

        // 绑定监听
        form.on('checkbox(templateAreaServerLinkFilter)', function (data) {
            // if($("#bigdataModuleLink").val() != '1') {
            //     layer.msg("当前模块不支持联动刷新");
            //     $(data.elem).prop("checked", false);
            //     form.render();
            // }
        });

        form.on('radio(templateAreaJumpModeFilter)', function (data) {
            laytpl(document.getElementById('templateAreaJumpModeScript').innerHTML).render(data.value + "", function(html) {
                document.getElementById('templateAreaJumpModeDiv').innerHTML = html;
                form.render(null, 'dataForm');
            });
        });

        form.on('radio(templateAreaSourceFilter)', function (data) {
            laytpl(document.getElementById('templateAreaSourceScript').innerHTML).render(data.value + "", function(html) {
                document.getElementById('templateAreaSourceDiv').innerHTML = html;
                form.render(null, 'dataForm');
                onToTemplateAreaServer();
            });
        });

        $(document).on('click', '#querySQL', function() {
            /**
             * 请求服务器, 校验
             */
            var querySql = $("#templateAreaServerData").val().trim();
            if(querySql.length < 10) {
                top.dialog.msg("语句不合法");
                return;
            }
            var loadIndex = top.layer.load(1,{shade:0.5});
            querySql = Encrypt(querySql);
            top.restAjax.get(top.restAjax.path('app/bigdatatemplate/querysqlrelease?querySql={querySql}', [querySql]), {}, null, function(code, data) {
               if(code == 200 && data) {
                   if(data.state == 200) {
                       top.dialog.msg("语句校验通过");
                       console.log(data);
                   }else{
                       top.dialog.msg("语句校验未通过");
                       console.log(data.msg);
                   }
               }else{
                   top.dialog.msg("语句校验不通过");
               }
               top.layer.close(loadIndex);
            }, function(code, data) {
                top.dialog.msg(data.msg);
                top.layer.close(loadIndex);
            });

        });

        $(document).on('click', '#bigdataModuleName', function() {
            top.dialog.open({
                url: top.restAjax.path('route/bigdatamodule/listbigdatamoduleselect', []),
                title: '选择模块',
                width: '60%',
                height: '100%',
                onClose: function(data) {
                    $("#templateAreaModuleData").val("");
                    $("#templateAreaServerData").val("");
                    $("#bigdataModuleId").val(top.dialog.dialogData.bigdataModuleId);
                    $("#bigdataModuleName").val(top.dialog.dialogData.bigdataModuleName);
                    $("#bigdataModuleCode").val(top.dialog.dialogData.bigdataModuleCode);
                    $("#bigdataModuleModuleJson").val(top.dialog.dialogData.bigdataModuleModuleJson);
                    $("#bigdataModuleServerJson").val(top.dialog.dialogData.bigdataModuleServerJson);
                    $("#bigdataModuleLink").val(top.dialog.dialogData.bigdataModuleLink);
                    $(".templateAreaServerLink").prop("checked", false);
                    form.render(null, 'dataForm');
                }
            });
        });

        $(document).on('click', '#templateAreaJumpTemplateTitle', function() {
            top.dialog.open({
                url: top.restAjax.path('route/bigdatatemplate/listbigdatatemplateselect?bigdataTemplateId={bigdataTemplateId}', [$("#bigdataTemplateId").val()]),
                title: '选择模板',
                width: '60%',
                height: '100%',
                onClose: function(data) {
                    $("#templateAreaJumpTemplateId").val(top.dialog.dialogData.bigdataTemplateId);
                    $("#templateAreaJumpTemplateTitle").val(top.dialog.dialogData.bigdataTemplateTitle);
                }
            });
        });

        // 初始化文件列表
        function initFileList(fileName, ids, callback) {
            var dataForm = {};
            dataForm[fileName] = ids;
            form.val('dataForm', dataForm);

            if(!ids) {
                refreshDownloadTemplet(fileName, []);
                if(callback) {
                    callback(fileName, []);
                }
                return;
            }

            top.restAjax.get(top.restAjax.path('api/file/list', []), {
                ids: ids
            }, null, function(code, data) {
                refreshDownloadTemplet(fileName, data);
                if(callback) {
                    callback(fileName, data);
                }
            }, function(code, data) {
                top.dialog.msg(data.msg);
            });
        }

        // 初始化视频
        function initVideo(fileName, data) {
            for(var i = 0, item; item = data[i++];) {
                var player = new ckplayer({
                    container: '#'+ fileName + i,
                    variable: 'player',
                    flashplayer: false,
                    video: {
                        file: 'route/file/download/true/'+ item.fileId,
                        type: 'video/mp4'
                    }
                });
            }
        }

        // 初始化区域插件文件文件上传
        function initTemplateAreaFileUploadFile() {
            var files = $('#templateAreaFile').val();
            initFileList('templateAreaFile', files);

            form.on('button(templateAreaFileUploadFile)', function(obj) {
                var name = this.dataset.name;
                var explain = this.dataset.explain;
                top.dialog.file({
                    type: 'file',
                    title: '上传'+ explain,
                    width: '400px',
                    height: '420px',
                    maxFileCount: '1',
                    onClose: function() {
                        var uploadFileArray = top.dialog.dialogData.uploadFileArray;
                        if(typeof(uploadFileArray) != 'undefined' && uploadFileArray.length > 0) {
                            var files = $('#'+ name).val();
                            for(var j = 0, file = uploadFileArray[j]; file = uploadFileArray[j++];) {
                                if(files.length > 0) {
                                    files += ',';
                                }
                                files += file.data;
                            }
                            initFileList(name, files, function() {});
                        }
                    }
                });
            });
            form.on('button(templateAreaFileRemoveFile)', function(obj) {
                var name = this.dataset.name;
                var id = this.dataset.id;
                var files = $('#'+ name).val().replace(id, '');
                files = files.replace(/\,+/g, ',');
                if(files.charAt(0) == ',') {
                    files = files.substring(1);
                }
                if(files.charAt(files.length - 1) == ',') {
                    files = files.substring(0, files.length - 1);
                }
                initFileList(name, files);
            });
        }

        // 初始化内容
        function initData() {
            var loadLayerIndex;
            top.restAjax.get(top.restAjax.path('api/bigdatatemplatearea/getbigdatatemplateareabyid/{bigdataTemplateAreaId}', [bigdataTemplateAreaId]), {}, null, function(code, data) {
                var dataFormData = {};
                for(var i in data) {
                    dataFormData[i] = data[i] +'';
                }

                dataFormData.templateAreaJumpTemplateTitle = data.templateAreaJumpTemplateTitle;
                slider.render({
                    elem: '#templateAreaFrequencyDiv'
                    ,setTips: function(value){ //自定义提示文本
                        if(value == 0) {
                            return '不开启';
                        }
                        return value + '秒';
                    },
                    min:0,
                    value: data.templateAreaFrequency,
                    max:600,
                    change: function(value){
                        $("#templateAreaFrequency").val(value.replace("秒","").replace("不开启","0"));
                    }
                });
                form.val('dataForm', dataFormData);
                form.render(null, 'dataForm');

                laytpl(document.getElementById('showDataScript').innerHTML).render(data.templateAreaJump, function(html) {
                    document.getElementById('showDataDiv').innerHTML = html;
                    form.val('dataForm', dataFormData);
                });

                laytpl(document.getElementById('templateAreaJumpModeScript').innerHTML).render(data.templateAreaJumpMode, function(html) {
                    document.getElementById('templateAreaJumpModeDiv').innerHTML = html;
                    form.render(null, 'dataForm');
                });

                laytpl(document.getElementById('templateAreaSourceScript').innerHTML).render(data.templateAreaSource, function(html) {
                    document.getElementById('templateAreaSourceDiv').innerHTML = html;
                    form.val('dataForm', dataFormData);
                    onToTemplateAreaServer();
                });
                initTemplateAreaFileUploadFile();


                if(data.templateAreaServerLink != '') {
                    var checkboxValue = data.templateAreaServerLink.split(',');
                    var checkboxObj = {};
                    for(var j = 0, checkbox = checkboxValue[j]; checkbox = checkboxValue[j++];) {
                        checkboxObj['templateAreaServerLink['+ checkbox +']'] = true;
                    }
                    form.val('dataForm', checkboxObj);
                }
            }, function(code, data) {
                top.dialog.msg(data.msg);
            }, function() {
                loadLayerIndex = top.dialog.msg(top.dataMessage.loading, {icon: 16, time: 0, shade: 0.3});
            }, function() {
                top.dialog.close(loadLayerIndex);
            });
        }
        initData();

        // 提交表单
        form.on('submit(submitForm)', function(formData) {
            top.dialog.confirm(top.dataMessage.commit, function(index) {
                top.dialog.close(index);
                var loadLayerIndex;
                formData.field['templateAreaServerLink'] = top.restAjax.checkBoxToString(formData.field, 'templateAreaServerLink');
                top.restAjax.put(top.restAjax.path('api/bigdatatemplatearea/updatebigdatatemplatearea/{bigdataTemplateAreaId}', [bigdataTemplateAreaId]), formData.field, null, function(code, data) {
                    var layerIndex = top.dialog.msg(top.dataMessage.updateSuccess, {
                        time: 0,
                        btn: [top.dataMessage.button.yes, top.dataMessage.button.no],
                        shade: 0.3,
                        yes: function(index) {
                            top.dialog.close(index);
                            window.location.reload();
                        },
                        btn2: function() {
                            closeBox();
                        }
                    });
                }, function(code, data) {
                    top.dialog.msg(data.msg);
                }, function() {
                    loadLayerIndex = top.dialog.msg(top.dataMessage.committing, {icon: 16, time: 0, shade: 0.3});
                }, function() {
                    top.dialog.close(loadLayerIndex);
                });
            });
            return false;
        });

        $('.close').on('click', function() {
            closeBox();
        });

        function onToTemplateAreaModule() {
            $('#templateAreaModule').on('click', function() {
                var templateAreaModuleData = $("#templateAreaModuleData").val();
                if(templateAreaModuleData == "") {
                    if (!$("#bigdataModuleCode").val()) {
                        layer.msg("请先选择模块");
                        return;
                    }
                    templateAreaModuleData =  $("#bigdataModuleModuleJson").val();
                }
                templateAreaModuleData = templateAreaModuleData.replace(/\?/g,"#问号#").replace(/\=/g,"#等号#");
                top.layer.open({
                    type: 2,
                    title: false,
                    closeBtn: 0,
                    area: ['80%', '98%'],
                    shadeClose: false,
                    anim: 2,
                    content: top.restAjax.path(encodeURI("route/bigdatatemplatearea/savebigdatatemplateareajson?jsonData=" + templateAreaModuleData), []),
                    end: function() {
                        if(top.dialog.dialogData.jsonViewerData) {
                            $("#templateAreaModuleData").val(top.dialog.dialogData.jsonViewerData);
                        }
                    }
                });
            });
        }
        onToTemplateAreaModule();

        function onToTemplateAreaServer() {
            $('#templateAreaServer').on('click', function() {
                var templateAreaServerData = $("#templateAreaServerData").val();
                if(templateAreaServerData == "") {
                    if (!$("#bigdataModuleCode").val()) {
                        layer.msg("请先选择模块");
                        return;
                    }
                    templateAreaServerData =  $("#bigdataModuleServerJson").val();
                }
                templateAreaServerData = templateAreaServerData.replace(/\?/g,"#问号#").replace(/\=/g,"#等号#");
                top.layer.open({
                    type: 2,
                    title: false,
                    closeBtn: 0,
                    area: ['80%', '98%'],
                    shadeClose: false,
                    anim: 2,
                    content: top.restAjax.path(encodeURI("route/bigdatatemplatearea/savebigdatatemplateareajson?jsonData=" + templateAreaServerData), []),
                    end: function() {
                        if(top.dialog.dialogData.jsonViewerData) {
                            $("#templateAreaServerData").val(top.dialog.dialogData.jsonViewerData);
                        }
                    }
                });
            });
        }

        // 校验
        form.verify({
        });
    });
</script>
</body>
</html>